
Foreman - Bug #29295

Change string to number in API docs for ids

03/09/2020 11:24 AM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Adi Abramovitch   

Category: API   

Target version:    

Difficulty: easy Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7863,

https://github.com/theforeman/foreman/p

ull/8400

  

Description

https://community.theforeman.org/t/unable-to-create-or-update-managed-host-via-api/17692 reports that operatingsystem_id should

be a nubmer instead of a string in the API documentation. So, the main reason for this issue is to fix this entry.

However, I've noticed that we've got similar inconsistency for ID entries in more than one API doc controller. Those should be

probably reviewed to prevent similar issues in the future.

Associated revisions

Revision 39708d2c - 09/23/2020 10:11 AM - Jaskaran Singh Narula

Refs #29295 - fixes the API doc

Revision 04ac0de6 - 03/21/2021 02:48 PM - Adi Abramovitch

Fixes #29295 - Change operatingsystem_id type from string to number in API docs for ids

History

#1 - 07/28/2020 06:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7863 added

#2 - 07/29/2020 12:53 PM - Tomer Brisker

- Category set to API

#3 - 03/07/2021 12:48 PM - Adi Abramovitch

- Assignee set to Adi Abramovitch

#4 - 03/16/2021 11:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8400 added

#5 - 03/21/2021 02:48 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#6 - 03/21/2021 03:01 PM - Adi Abramovitch

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|04ac0de6e8a8075654aeb46d26a59e9a48388223.
